跳到主要内容

ListSKUs

Host: dip-cb.binanceapi.com

GET /mp-api/v1/apps/{appId}/skus?page=1&limit=20&auditStatus=

Header

ParameterRequiredDescription
X-Mp-Open-Api-TokenYesJWT token. Please refer to Description of External Interface Signature Authentication Algorithm

Path Parameters

ParameterDescription
appIdAppId of the mini program
pageDesignated query page
limitQuantity limit per page. The maximum size is 50
auditStatusSKU audit status. Can be 'TODO', 'APPROVED', or 'REJECTED'

Response

HTTP 200

{
"code": "000000",
"message": null,
"data": {
"skus": [{
"id": "bn_point_100",
"audit": {
"info": {
"id": "bn_point_100",
"defaultName": "BN 100 points",
"names": {
"en": "BN 100 points",
"zh-TW": "BN 100 點",
},
"category": "Games",
"imageUrl": "https://bn.com/hnCWgai85XJwn7qSRXjiUt.png",
"imageStatus": "UPLOADING",
"originalPrice": "9.99",
"sellingPrice": "9.00",
"discountPercentage": 30,
"path": "/pages/index/index?foo=bar&baz=qux",
"description": "A virtual top-up item",
"stocks": 100,
"autoDelivery": true,
"countryWhitelist": ["TW", "JP"],
"countryBlacklist": ["SG"],
"pricing_mode": "flat",
"pricing_tiers": []
},
"auditStatus": "APPROVED"
},
"online": {
"info": {
"id": "bn_point_100",
"defaultName": "BN 100 points",
"names": {
"en": "BN 100 points",
"zh-TW": "BN 100 點",
},
"category": "Games",
"imageUrl": "https://bn.com/hnCWgai85XJwn7qSRXjiUt.png",
"imageStatus": "UPLOADING",
"originalPrice": "19.99",
"sellingPrice": "19.00",
"discountPercentage": 10,
"path": "/pages/index/index?foo=bar&baz=qux",
"description": "A virtual top-up item",
"stocks": 100,
"autoDelivery": true,
"countryWhitelist": ["TW", "JP", "ID"],
"countryBlacklist": ["SG"],
"pricing_mode": "flat",
"pricing_tiers": []
},
"availableStatus": "ACTIVE"
},
}]
},
"success": true
}

Response Parameters

ParameterDescription
skusArray of SKU information
auditAudit information for the SKU
onlineOnline information for the SKU
imageStatusStatus of the SKU image, could be 'UPLOADING', 'SUCCESS', 'FAILED', or 'NONEXISTED'
auditStatusAudit status of the SKU, could be 'TODO', 'APPROVED', or 'REJECTED'
availableStatusAvailability status of the SKU, controlled by merchant. Can be 'ACTIVE' or 'DEACTIVE'
metadataPagination information. 'itemCount' is the total count for the current response, 'itemsPerPage' is the total count per page as per the given request
descriptionMerchant-provided description for this SKU
stocksMerchant-provided inventory quantity. Absent if not set.
autoDeliveryWhether the SKU supports automatic delivery after purchase. Absent if not set.
pricing_modePricing mode: "flat" for a single price, "tiered" for multiple fixed denomination options, "custom" for user-entered amount within a range
pricing_tiersArray of PricingTier objects. Present when pricing_mode is "tiered", empty array otherwise.
min_selling_price_usd_centMinimum amount the user may enter, in USD cents. Present when pricing_mode is "custom".
max_selling_price_usd_centMaximum amount the user may enter, in USD cents. Present when pricing_mode is "custom".
custom_price_options_usd_centPreset amounts in USD cents for buyer quick-select. Present when pricing_mode is "custom" and presets were configured; absent otherwise.